Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 208742 - app-dicts/lightlang - new ebuild
Summary: app-dicts/lightlang - new ebuild
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://lightlang.org.ru
Whiteboard:
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2008-02-03 13:35 UTC by Alexey Shvetsov
Modified: 2016-07-09 19:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lightlang-0.8.5.ebuild (lightlang-0.8.5.ebuild,695 bytes, text/plain)
2008-02-03 13:37 UTC, Alexey Shvetsov
Details
lightlang-0.8.5.ebuild (lightlang-0.8.5.ebuild,711 bytes, text/plain)
2008-02-03 16:36 UTC, Alexey Shvetsov
Details
lightlang-0.8.5.ebuild (lightlang-0.8.5.ebuild,1.07 KB, text/plain)
2008-02-03 20:48 UTC, Alexey Shvetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shvetsov gentoo-dev 2008-02-03 13:35:50 UTC
LightLang is a dictionary system for linux writen ib pyqt4

 * Overlay eclass overrides eclass from PORTDIR:
 * 
 *   '/usr/portage/local/layman/science/eclass/fortran.eclass'
 * 
 * It is best to avoid overridding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to run `emerge --regen` after each time that you run `emerge
 * --sync`. Set PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you
 * would like to disable this warning.
Portage 2.1.4.1 (default-linux/x86/2007.0/desktop, gcc-4.2.2, glibc-2.7-r1, 2.6.24-gentoo i686)
=================================================================
System uname: 2.6.24-gentoo i686 Pentium III (Coppermine)
Timestamp of tree: Sat, 02 Feb 2008 22:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.5.1-r5
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -pipe -march=native -mtune=native -mno-tls-direct-seg-refs -fomit-frame-pointer -ftree-vectorize"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -pipe -march=native -mtune=native -mno-tls-direct-seg-refs -fomit-frame-pointer -ftree-vectorize"
DISTDIR="/usr/portage/distfiles"
FEATURES="candy ccache distlocks metadata-transfer prelink sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp.linux.ee/pub/gentoo/distfiles/"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--sort-common"
LINGUAS="ru en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/enlightenment /usr/portage/local/layman/sunrise /usr/portage/local/layman/science /usr/portage/local/layman/openrc /usr/local/portage-arm /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit 3ds 7zip X Xaw3d a52 aac aalib acl acpi ada addbookmarks additions administrator aiglx aim aimextras aio akode alias alsa amarok amd amr amrnb amrwb ansi ao aotuv apache2 asf asterisk async athena atk atlas atm auctex audiofile audit autoipd automount autoreplace avalon bash-completion bdf berkdb bidi big-tables bigpatch bind-mysql bitmap-fonts bl blender-game bonobo branding browserplugin bugzilla buttons bzip2 c++ c3p0 cacheemu cairo calendar caps catalogs ccache cdda cddb cdf cdinstall cdio cdparanoia cdr cdrom cegui cflags cgi chm chroot clamav clamd cle266 clearcase cli cluster concurrentmodphp contactnotes context cp1251 cpdflib cracklib crypt css cups curl curlwrappers cvs cvsgraph cxx cyrillic d daap dbase dbus dbx device-mapper dga dhcp dia dict dio divx4linux djbfft djvu dmi dnd doc double-precision dri dts dv dvb dvd dvdnav dvdr dvdread dvi dx dxr3 dynagraph dynamic eap-tls ecc edb editor edl emacs emacs-w3 emboss emerald emf emovix enca encode epiphany erandom esd examples exif expat exscalibar extra extraengine extrafilters extras f90 faad fam fame fastcgi fbcon fbcondecor fbdev fbsplash ffmpeg fftw firefox flac flash fltk font-server fontconfig foomaticdb fortran fortran95 fpx freetds freetype freewnn ft ftp fuse galago games gamess gb gd gdbm gecko-sdk geometry ggi gif gimp gimpprint ginac git gkrellm glep glgd glib glibc-omitfp glitz glut glx gmail gmailtimestamps gml gmp gnuplot gnustep gnutls gpg gpg2-experimental gphoto2 gpm graphics graphviz gs gsl gsm gstreamer gstreamer010 gtalk gtk gtk2 gtkhtml gzip hal haskell hddtemp hdri hipe history howl html http httpd humanities iceweasel icon iconv id3 idea idn ieee1394 imagemagick imap imlib inotify ipv6 irda isdnlog ithreads jack-tmpfs java jbig jikes jingle jmx jpeg jpeg2k js justify kde kdehiddenvisibility kdepim kexi kpoll kqemu ladspa lame latex lcd lcms ldap leim lesstif libcaca libclamav libnotify libsamplerate libvisual linuxthreads-tls live lm_sensors logrotate lyx lzo mad madwifi mailwrapper math max-idx-128 mbox mbrola md5sum mhash midi mikmod milter mime ming mixer mjpeg mmap mmx mmxext mng mod_muc mod_pubsub modplug mono mopac7 motif mozcalendar mozdevelop mozilla mozsvg mp2 mp3 mp3rtp mp4 mp4live mpe mpeg mpeg2 mpeg4 mpi mpi_njtree mplayer mpm-worker mpqc msdfs msession mtp mudflap mule musepack music mysql mysqli mythtv nas nautilus ncurses neXt netboot netjack network-cron newspr nextaw nfs nls no-old-linux nowlistening nptl nptlonly nsplugin numeric nxclient oav objc objc++ odbc odk offensive ogg oggvorbis omega onaccess openal openbabel openexr opengl openmp osc overlays pam pam_chroot pam_timestamp pango parse-clocks pascal paste64 pch pcre pda pdf pdfkit perforce perl pertty php physfs pic plasma plotting plotutils plugins png pnm portaudio posix postscript povray ppds pppd prelude preview-latex profile pstricks publishers pulseaudio pwdb pygrub python q32 q8 qq qt-copy qt3 qt3support qt4 quicktime radio rar rdesktop readline real reflection reiserfs resolvconf rle romio rpc rplay rrdcgi rss rtc ruby samba sasl sbcl scanner science screen script sdk sdl sendfile sendmail sensord server session skey slang slp smime smp sms sname sndfile sni softmmu solver sound soundex sounds sox speedo speex spell spl spoof-source sql sqlite sqlite3 srp srt srvdir sse sse-filters ssl statistics stroke subversion svg swat swig sysfs syslog sysvipc szip t1lib taglib tcl tcltk tcpd tetex tga theora threads threadsonly tidy tiff timidity tivo tk toolbar tools transcode truetype truetype-fonts type1-fonts ucs2 uim uml unicode urandom usb userlocales utempter utf8 v4l v4l2 vboxbfe vcd vcdimager videos vidix vim vim-pager vim-syntax visualization voice vorbis vorbis-psy vst wavpack web webinterface wideband wifi win32codecs winbind wma wma123 wmf wxgtk1 wxwindows x264 x86 xanim xattr xcb xchatdccserver xchattext xcomposite xemacs xetex xface xine xml xml2 xmldoclet xmlreader xmlrpc xmlwriter xmp xorg xosd xpm xrandr xscreensaver xulrunner xv xvid yv12 zip zlib" ALSA_CARDS="cmipci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="event" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" USERLAND="GNU" VIDEO_CARDS="radeon fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Alexey Shvetsov gentoo-dev 2008-02-03 13:37:09 UTC
Created attachment 142587 [details]
lightlang-0.8.5.ebuild

Corrently can only be installed with FEATURES=-sandbox due to stupid install system in this packages
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2008-02-03 13:39:44 UTC
(In reply to comment #1)
> Corrently can only be installed with FEATURES=-sandbox due to stupid install
> system in this packages

Well, that's not really acceptable; you need to fix it. :) Does einstall work? If not, you need either a patch or install this manually.

Comment 3 Alexey Shvetsov gentoo-dev 2008-02-03 13:55:24 UTC
(In reply to comment #2)
> Well, that's not really acceptable; you need to fix it. :) Does einstall work?
> If not, you need either a patch or install this manually.
> 
I knew it =) seem i'll patch it cause install system just tryed to use cp to coppy files to /usr :-\
Comment 4 Alexey Shvetsov gentoo-dev 2008-02-03 16:36:14 UTC
Created attachment 142593 [details]
lightlang-0.8.5.ebuild

New updated and working ebuild =)
It fixed and installs clean =)
Comment 5 Alexey Shvetsov gentoo-dev 2008-02-03 20:48:26 UTC
Created attachment 142610 [details]
lightlang-0.8.5.ebuild

hardcoded path fixed now =)
Comment 6 Andrey Aleksandrovich 2008-11-26 15:43:07 UTC
(In reply to comment #5)
> Created an attachment (id=142610) [edit]
> lightlang-0.8.5.ebuild
> 
> hardcoded path fixed now =)
> 

Is subj working on amd64?
Comment 7 Peter Volkov (RETIRED) gentoo-dev 2008-12-16 20:12:26 UTC
Yes it works on amd64. The updated ebuild is in my overlay:

http://overlays.gentoo.org/dev/pva/browser/app-text/lightlang/

The problem (in sense I don't want to maintain it in the main tree) with this package is that there is insane configuration script which hardcodes path on programs (like X terminal or sound player). And I've reported this issue upstream but got no answers. Probably I can put it into Sunrise, but ... Alexey may be you'll do that? :)
Comment 8 Alexey Shvetsov gentoo-dev 2016-07-09 19:33:24 UTC
Dead upstream...